require 'set'

module Boggler
  extend self

  def load
    require File.join(load_path, 'core')
    require File.join(load_path, 'die')
    require File.join(load_path, 'dice')
    require File.join(load_path, 'grid')
    require File.join(load_path, 'cell')
    require File.join(load_path, 'dictionary')
    require File.join(load_path, 'benchmarking')
    require File.join(load_path, 'solver')
  end

  private

  def load_path
    @load_path ||= File.expand_path('../boggler', __FILE__)
  end
end

Boggler.load
