require 'benchmark'

module Boggler
  module Benchmarking
    extend self

    def measure(description, &block)
      benchmark_format = "%n\t#{Benchmark::FORMAT}"

      puts Benchmark.measure(description) {
        yield if block_given?
      }.format(benchmark_format)
    end
  end
end
