module Boggler
  class Die
    def initialize(sides = [])
      @sides = sides || []
      @sides << random_letter if sides.empty?
    end

    def roll
      @sides.sample
    end

    private

    def random_letter
      rand(10...36).to_s 36
    end
  end
end
